





(define (domain openstacks-strips)
 (:predicates (not_made_p5) (started_o5) (started_o3) (made_p5) (not_made_p4) (started_o4) (started_o2) (made_p4) (not_made_p3) (made_p3) (not_made_p2) (started_o1) (made_p2) (not_made_p1) (made_p1) (waiting_o5) (stacks-avail_n5) (stacks-avail_n4) (stacks-avail_n3) (stacks-avail_n2) (stacks-avail_n1) (stacks-avail_n0) (waiting_o4) (waiting_o3) (waiting_o2) (waiting_o1) (shipped_o5) (shipped_o4) (shipped_o3) (shipped_o2) (shipped_o1))
 (:action make-product_p5
  :precondition (and (not_made_p5) (started_o5) (started_o3))
  :effect (and (made_p5) (not (not_made_p5))))
 (:action make-product_p4
  :precondition (and (not_made_p4) (started_o4) (started_o2))
  :effect (and (made_p4) (not (not_made_p4))))
 (:action make-product_p3
  :precondition (and (started_o3) (started_o2) (not_made_p3))
  :effect (and (made_p3) (not (not_made_p3))))
 (:action make-product_p2
  :precondition (and (started_o5) (not_made_p2) (started_o1))
  :effect (and (made_p2) (not (not_made_p2))))
 (:action make-product_p1
  :precondition (and (started_o4) (started_o1) (not_made_p1))
  :effect (and (made_p1) (not (not_made_p1))))
 (:action start-order_o5_n5_n4
  :precondition (and (waiting_o5) (stacks-avail_n5))
  :effect (and (started_o5) (stacks-avail_n4) (not (waiting_o5)) (not (stacks-avail_n5))))
 (:action start-order_o5_n4_n3
  :precondition (and (waiting_o5) (stacks-avail_n4))
  :effect (and (started_o5) (stacks-avail_n3) (not (waiting_o5)) (not (stacks-avail_n4))))
 (:action start-order_o5_n3_n2
  :precondition (and (waiting_o5) (stacks-avail_n3))
  :effect (and (started_o5) (stacks-avail_n2) (not (waiting_o5)) (not (stacks-avail_n3))))
 (:action start-order_o5_n2_n1
  :precondition (and (waiting_o5) (stacks-avail_n2))
  :effect (and (started_o5) (stacks-avail_n1) (not (waiting_o5)) (not (stacks-avail_n2))))
 (:action start-order_o5_n1_n0
  :precondition (and (waiting_o5) (stacks-avail_n1))
  :effect (and (started_o5) (stacks-avail_n0) (not (waiting_o5)) (not (stacks-avail_n1))))
 (:action start-order_o4_n5_n4
  :precondition (and (stacks-avail_n5) (waiting_o4))
  :effect (and (started_o4) (stacks-avail_n4) (not (stacks-avail_n5)) (not (waiting_o4))))
 (:action start-order_o4_n4_n3
  :precondition (and (stacks-avail_n4) (waiting_o4))
  :effect (and (started_o4) (stacks-avail_n3) (not (stacks-avail_n4)) (not (waiting_o4))))
 (:action start-order_o4_n3_n2
  :precondition (and (stacks-avail_n3) (waiting_o4))
  :effect (and (started_o4) (stacks-avail_n2) (not (stacks-avail_n3)) (not (waiting_o4))))
 (:action start-order_o4_n2_n1
  :precondition (and (stacks-avail_n2) (waiting_o4))
  :effect (and (started_o4) (stacks-avail_n1) (not (stacks-avail_n2)) (not (waiting_o4))))
 (:action start-order_o4_n1_n0
  :precondition (and (stacks-avail_n1) (waiting_o4))
  :effect (and (started_o4) (stacks-avail_n0) (not (stacks-avail_n1)) (not (waiting_o4))))
 (:action start-order_o3_n5_n4
  :precondition (and (stacks-avail_n5) (waiting_o3))
  :effect (and (started_o3) (stacks-avail_n4) (not (stacks-avail_n5)) (not (waiting_o3))))
 (:action start-order_o3_n4_n3
  :precondition (and (stacks-avail_n4) (waiting_o3))
  :effect (and (started_o3) (stacks-avail_n3) (not (stacks-avail_n4)) (not (waiting_o3))))
 (:action start-order_o3_n3_n2
  :precondition (and (stacks-avail_n3) (waiting_o3))
  :effect (and (started_o3) (stacks-avail_n2) (not (stacks-avail_n3)) (not (waiting_o3))))
 (:action start-order_o3_n2_n1
  :precondition (and (stacks-avail_n2) (waiting_o3))
  :effect (and (started_o3) (stacks-avail_n1) (not (stacks-avail_n2)) (not (waiting_o3))))
 (:action start-order_o3_n1_n0
  :precondition (and (stacks-avail_n1) (waiting_o3))
  :effect (and (started_o3) (stacks-avail_n0) (not (stacks-avail_n1)) (not (waiting_o3))))
 (:action start-order_o2_n5_n4
  :precondition (and (stacks-avail_n5) (waiting_o2))
  :effect (and (started_o2) (stacks-avail_n4) (not (stacks-avail_n5)) (not (waiting_o2))))
 (:action start-order_o2_n4_n3
  :precondition (and (stacks-avail_n4) (waiting_o2))
  :effect (and (started_o2) (stacks-avail_n3) (not (stacks-avail_n4)) (not (waiting_o2))))
 (:action start-order_o2_n3_n2
  :precondition (and (stacks-avail_n3) (waiting_o2))
  :effect (and (started_o2) (stacks-avail_n2) (not (stacks-avail_n3)) (not (waiting_o2))))
 (:action start-order_o2_n2_n1
  :precondition (and (stacks-avail_n2) (waiting_o2))
  :effect (and (started_o2) (stacks-avail_n1) (not (stacks-avail_n2)) (not (waiting_o2))))
 (:action start-order_o2_n1_n0
  :precondition (and (stacks-avail_n1) (waiting_o2))
  :effect (and (started_o2) (stacks-avail_n0) (not (stacks-avail_n1)) (not (waiting_o2))))
 (:action start-order_o1_n5_n4
  :precondition (and (stacks-avail_n5) (waiting_o1))
  :effect (and (started_o1) (stacks-avail_n4) (not (stacks-avail_n5)) (not (waiting_o1))))
 (:action start-order_o1_n4_n3
  :precondition (and (stacks-avail_n4) (waiting_o1))
  :effect (and (started_o1) (stacks-avail_n3) (not (stacks-avail_n4)) (not (waiting_o1))))
 (:action start-order_o1_n3_n2
  :precondition (and (stacks-avail_n3) (waiting_o1))
  :effect (and (started_o1) (stacks-avail_n2) (not (stacks-avail_n3)) (not (waiting_o1))))
 (:action start-order_o1_n2_n1
  :precondition (and (stacks-avail_n2) (waiting_o1))
  :effect (and (started_o1) (stacks-avail_n1) (not (stacks-avail_n2)) (not (waiting_o1))))
 (:action start-order_o1_n1_n0
  :precondition (and (stacks-avail_n1) (waiting_o1))
  :effect (and (started_o1) (stacks-avail_n0) (not (stacks-avail_n1)) (not (waiting_o1))))
 (:action ship-order_o5_n4_n5
  :precondition (and (started_o5) (made_p5) (made_p2) (stacks-avail_n4))
  :effect (and (stacks-avail_n5) (shipped_o5) (not (started_o5)) (not (stacks-avail_n4))))
 (:action ship-order_o5_n3_n4
  :precondition (and (started_o5) (made_p5) (made_p2) (stacks-avail_n3))
  :effect (and (stacks-avail_n4) (shipped_o5) (not (started_o5)) (not (stacks-avail_n3))))
 (:action ship-order_o5_n2_n3
  :precondition (and (started_o5) (made_p5) (made_p2) (stacks-avail_n2))
  :effect (and (stacks-avail_n3) (shipped_o5) (not (started_o5)) (not (stacks-avail_n2))))
 (:action ship-order_o5_n1_n2
  :precondition (and (started_o5) (made_p5) (made_p2) (stacks-avail_n1))
  :effect (and (stacks-avail_n2) (shipped_o5) (not (started_o5)) (not (stacks-avail_n1))))
 (:action ship-order_o5_n0_n1
  :precondition (and (started_o5) (made_p5) (made_p2) (stacks-avail_n0))
  :effect (and (stacks-avail_n1) (shipped_o5) (not (started_o5)) (not (stacks-avail_n0))))
 (:action ship-order_o4_n4_n5
  :precondition (and (started_o4) (made_p4) (made_p1) (stacks-avail_n4))
  :effect (and (stacks-avail_n5) (shipped_o4) (not (started_o4)) (not (stacks-avail_n4))))
 (:action ship-order_o4_n3_n4
  :precondition (and (started_o4) (made_p4) (made_p1) (stacks-avail_n3))
  :effect (and (stacks-avail_n4) (shipped_o4) (not (started_o4)) (not (stacks-avail_n3))))
 (:action ship-order_o4_n2_n3
  :precondition (and (started_o4) (made_p4) (made_p1) (stacks-avail_n2))
  :effect (and (stacks-avail_n3) (shipped_o4) (not (started_o4)) (not (stacks-avail_n2))))
 (:action ship-order_o4_n1_n2
  :precondition (and (started_o4) (made_p4) (made_p1) (stacks-avail_n1))
  :effect (and (stacks-avail_n2) (shipped_o4) (not (started_o4)) (not (stacks-avail_n1))))
 (:action ship-order_o4_n0_n1
  :precondition (and (started_o4) (made_p4) (made_p1) (stacks-avail_n0))
  :effect (and (stacks-avail_n1) (shipped_o4) (not (started_o4)) (not (stacks-avail_n0))))
 (:action ship-order_o3_n4_n5
  :precondition (and (started_o3) (made_p5) (made_p3) (stacks-avail_n4))
  :effect (and (stacks-avail_n5) (shipped_o3) (not (started_o3)) (not (stacks-avail_n4))))
 (:action ship-order_o3_n3_n4
  :precondition (and (started_o3) (made_p5) (made_p3) (stacks-avail_n3))
  :effect (and (stacks-avail_n4) (shipped_o3) (not (started_o3)) (not (stacks-avail_n3))))
 (:action ship-order_o3_n2_n3
  :precondition (and (started_o3) (made_p5) (made_p3) (stacks-avail_n2))
  :effect (and (stacks-avail_n3) (shipped_o3) (not (started_o3)) (not (stacks-avail_n2))))
 (:action ship-order_o3_n1_n2
  :precondition (and (started_o3) (made_p5) (made_p3) (stacks-avail_n1))
  :effect (and (stacks-avail_n2) (shipped_o3) (not (started_o3)) (not (stacks-avail_n1))))
 (:action ship-order_o3_n0_n1
  :precondition (and (started_o3) (made_p5) (made_p3) (stacks-avail_n0))
  :effect (and (stacks-avail_n1) (shipped_o3) (not (started_o3)) (not (stacks-avail_n0))))
 (:action ship-order_o2_n4_n5
  :precondition (and (started_o2) (made_p4) (made_p3) (stacks-avail_n4))
  :effect (and (stacks-avail_n5) (shipped_o2) (not (started_o2)) (not (stacks-avail_n4))))
 (:action ship-order_o2_n3_n4
  :precondition (and (started_o2) (made_p4) (made_p3) (stacks-avail_n3))
  :effect (and (stacks-avail_n4) (shipped_o2) (not (started_o2)) (not (stacks-avail_n3))))
 (:action ship-order_o2_n2_n3
  :precondition (and (started_o2) (made_p4) (made_p3) (stacks-avail_n2))
  :effect (and (stacks-avail_n3) (shipped_o2) (not (started_o2)) (not (stacks-avail_n2))))
 (:action ship-order_o2_n1_n2
  :precondition (and (started_o2) (made_p4) (made_p3) (stacks-avail_n1))
  :effect (and (stacks-avail_n2) (shipped_o2) (not (started_o2)) (not (stacks-avail_n1))))
 (:action ship-order_o2_n0_n1
  :precondition (and (started_o2) (made_p4) (made_p3) (stacks-avail_n0))
  :effect (and (stacks-avail_n1) (shipped_o2) (not (started_o2)) (not (stacks-avail_n0))))
 (:action ship-order_o1_n4_n5
  :precondition (and (started_o1) (made_p2) (made_p1) (stacks-avail_n4))
  :effect (and (stacks-avail_n5) (shipped_o1) (not (started_o1)) (not (stacks-avail_n4))))
 (:action ship-order_o1_n3_n4
  :precondition (and (started_o1) (made_p2) (made_p1) (stacks-avail_n3))
  :effect (and (stacks-avail_n4) (shipped_o1) (not (started_o1)) (not (stacks-avail_n3))))
 (:action ship-order_o1_n2_n3
  :precondition (and (started_o1) (made_p2) (made_p1) (stacks-avail_n2))
  :effect (and (stacks-avail_n3) (shipped_o1) (not (started_o1)) (not (stacks-avail_n2))))
 (:action ship-order_o1_n1_n2
  :precondition (and (started_o1) (made_p2) (made_p1) (stacks-avail_n1))
  :effect (and (stacks-avail_n2) (shipped_o1) (not (started_o1)) (not (stacks-avail_n1))))
 (:action ship-order_o1_n0_n1
  :precondition (and (started_o1) (made_p2) (made_p1) (stacks-avail_n0))
  :effect (and (stacks-avail_n1) (shipped_o1) (not (started_o1)) (not (stacks-avail_n0))))
 (:action open-new-stack_n4_n5
  :precondition (stacks-avail_n4)
  :effect (and (stacks-avail_n5) (not (stacks-avail_n4))))
 (:action open-new-stack_n3_n4
  :precondition (stacks-avail_n3)
  :effect (and (stacks-avail_n4) (not (stacks-avail_n3))))
 (:action open-new-stack_n2_n3
  :precondition (stacks-avail_n2)
  :effect (and (stacks-avail_n3) (not (stacks-avail_n2))))
 (:action open-new-stack_n1_n2
  :precondition (stacks-avail_n1)
  :effect (and (stacks-avail_n2) (not (stacks-avail_n1))))
 (:action open-new-stack_n0_n1
  :precondition (stacks-avail_n0)
  :effect (and (stacks-avail_n1) (not (stacks-avail_n0))))
)
